Name:		pv
Version:	1.6.20
Release:	%mkrel 2
Summary:	Monitor the progress of data through a pipe
Group:		Development/Other
License:	Artistic 2.0
URL:		http://www.ivarch.com/programs/pv.shtml
Source0:	http://www.ivarch.com/programs/sources/%{name}-%{version}.tar.bz2
Patch0:		pv-1.6.0-lang-test-bytes.patch
BuildRequires:	gettext-devel

%description
PV ("Pipe Viewer") is a tool for monitoring the progress of data through a
pipeline. It can be inserted into any normal pipeline between two processes to
give a visual indication of how quickly data is passing through, how long it
has taken, how near to completion it is, and an estimate of how long it will be
until completion.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

%check
# disable test who fails
rm -f tests/005b-fineta
%__make test

%files -f %{name}.lang
%doc README doc/NEWS doc/TODO doc/COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Mar 17 2022 umeabot <umeabot> 1.6.20-2.mga9
+ Revision: 1797199
- Mageia 9 Mass Rebuild

* Wed Feb 02 2022 mrambo3501 <mrambo3501> 1.6.20-1.mga9
+ Revision: 1771072
- version 1.6.20

* Fri Feb 14 2020 umeabot <umeabot> 1.6.6-3.mga8
+ Revision: 1516219
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 30 2018 umeabot <umeabot> 1.6.6-2.mga7
+ Revision: 1312579
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- __make test

* Sun Oct 08 2017 daviddavid <daviddavid> 1.6.6-1.mga7
+ Revision: 1170310
- new version: 1.6.6

* Fri Jan 29 2016 umeabot <umeabot> 1.6.0-2.mga6
+ Revision: 928895
- Mageia 6 Mass Rebuild
+ blino <blino>
- fix running bytes test with non-C locale
- 1.6.0

* Wed Oct 15 2014 umeabot <umeabot> 1.5.7-3.mga5
+ Revision: 743601
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.7-2.mga5
+ Revision: 687844
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 tv <tv> 1.5.7-1.mga5
+ Revision: 673472
- new release

* Sat Jun 21 2014 sander85 <sander85> 1.5.3-1.mga5
+ Revision: 638305
- New version: 1.5.3

* Sat Feb 15 2014 dams <dams> 1.5.2-1.mga5
+ Revision: 592447
- new version 1.5.2

* Sat Oct 19 2013 umeabot <umeabot> 1.4.12-2.mga4
+ Revision: 531650
- Mageia 4 Mass Rebuild

* Wed Aug 07 2013 sander85 <sander85> 1.4.12-1.mga4
+ Revision: 464488
- New version: 1.4.12

* Sun May 26 2013 blino <blino> 1.4.6-1.mga4
+ Revision: 428233
- 1.4.6

* Sun Jan 13 2013 umeabot <umeabot> 1.3.4-2.mga3
+ Revision: 378351
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 fwang <fwang> 1.3.4-1.mga3
+ Revision: 278179
- new version 1.3.4

* Sat Jan 28 2012 kamil <kamil> 1.2.0-1.mga2
+ Revision: 202364
- new version 1.2.0
- update license (it's Artistic 2.0)
- remove tetex and texinfo from BR
- update SOURCE
- clean .spec

* Thu Feb 24 2011 ennael <ennael> 1.1.4-3.mga1
+ Revision: 58795
- imported package pv


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.4-3mdv2011.0
+ Revision: 607244
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.4-2mdv2010.1
+ Revision: 523739
- rebuilt for 2010.1

* Sat Feb 14 2009 Pascal Terjan <pterjan@mandriva.org> 1.1.4-1mdv2009.1
+ Revision: 340179
- Update to current version

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.8.6-6mdv2009.0
+ Revision: 220246
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Mar 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-5mdv2007.1
+ Revision: 138895
- fix deps
- fix deps
- Import pv

* Fri Jan 19 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-4mdv2007.1
- rebuild

* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-3mdv2007.0
- rebuild

* Sat Aug 27 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-2mdk
- rebuild

* Thu Jul 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.6-1mdk
- 0.8.6

* Sun Jun 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.5-1mdk
- 0.8.5
- rebuilt against new deps and with gcc v3.4.x
- fix deps
- use macros

